import { PluginApi } from './Api';
declare global {
    module NodeJS {
        interface ViteReactAutoConfigServer extends ServerPlugin {
        }
    }
}
export declare class ServerPlugin {
    private plugins;
    private skipIds;
    private server;
    private initPluginReady;
    get isReady(): boolean;
    constructor(server: NodeJS.ViteReactAutoConfigServer);
    getPlugins(): Map<string, PluginApi>;
    register(id: string, plugin: PluginApi): this;
    skip(id: string): void;
    removeSkip(id: string): void;
    enableStatus(id: string): boolean;
    private getPluginAPI;
    initPlugins(): Promise<this>;
}
